Package org.apache.tools.ant.taskdefs.optional

# Class XMLValidateTask.Attribute

java.lang.Object
org.apache.tools.ant.taskdefs.optional.XMLValidateTask.Attribute

Enclosing class:
  `XMLValidateTask`

public static class XMLValidateTask.Attribute extends Object
The class to create to set a feature of the parser.

Since:
  ant1.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Attribute()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the attribute name.
  `boolean`
  `getValue()`
  Gets the attribute value.
  `void`
  `setName(String name)`
  Set the feature name.
  `void`
  `setValue(boolean value)`
  Set the feature value to true or false.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Attribute

    public Attribute()

- ## Method Details

  - ### setName

    public void setName(String name)
    Set the feature name.
    Parameters:
      `name` - the name to set

  - ### setValue

    public void setValue(boolean value)
    Set the feature value to true or false.
    Parameters:
      `value` - feature value

  - ### getName

    public String getName()
    Gets the attribute name.
    Returns:
      the feature name

  - ### getValue

    public boolean getValue()
    Gets the attribute value.
    Returns:
      the feature value